Bug 98192 - Fix -Wshadow warnings and enable it
Summary: Fix -Wshadow warnings and enable it
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Simon McVittie
QA Contact: D-Bus Maintainers
URL:
Whiteboard: review+
Keywords: patch
Depends on: 88922 97357
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-10 14:38 UTC by Simon McVittie
Modified: 2016-10-10 17:18 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2016-10-10 14:38:16 UTC
+++ This bug was initially created as a clone of Bug #97357 +++

Fixing -Wshadow warnings results in patches that are a bit of a pain to review, so I've broken this out from Bug #97357.

The initial thing to review is Attachment #127066 [details].
Comment 1 Simon McVittie 2016-10-10 17:06:49 UTC
Thomas's patch looks good. If Travis-CI says yes, I'm going to apply it, apart from the bit that depends on Bug #97357 (actually enabling the warning).
Comment 2 Simon McVittie 2016-10-10 17:18:16 UTC
Fixed in git for 1.11.8, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.